<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Formularios</title>
    <meta name="author" content="Cecilia Carbajal🌻 " />
    <meta name="description" content="Ejercicio 3 Formularios" />
  </head>

  <header>
      <h1>Formularios</h1>
    </header>
    <main>
      <!-- <form action="#" method="get"> -->
      <form action="#" method="get">
        <fieldset>
          <legend>Contacto</legend>

          <label for="name">Nombre:</label>
          <input
            id="name"
            name="name"
            type="text"
            required
          />

          <label for="email">Email:</label>
          <input
            id="email"
            name="email"
            type="email"
            required
          />

          <label for="web">Web personal:</label>
          <input 
          id="web" 
          name="web" 
          type="url"
          placeholder="Escribe la URL de tu página web personal"
          required
          />

        </fieldset>
          
        <fieldset>
          <legend>Fecha y tiempo</legend>

          <label for="fecha">Elige una fecha:</label>
          <input
            id="fecha"
            name="fecha seleccionada"
            type="date"
            value="2022-04-10"
            min="2022-04-11"
            max="2023-04-11"
          />

          <label for="hora">Elige una hora:</label>
          <input
            id="hora"
            name="hora seleccionada"
            type="time"
          />

          <label for="datatime">Elige una fecha y hora:</label>
          <input
            id="datatime"
            name="fecha y hora seleccionada"
            type="datetime-local"
          />

          <label for="mes">Mes:</label>
          <input
            id="mes"
            name="mes seleccionado"
            type="month"
            value="2022-01" min="2022-02" max="2023-12"
          />

          <label for="semana">Semana:</label>
          <input
            id="semana"
            name="semana seleccionada"
            type="week"
            value="2022-W15" min="2022-W01" max="2022-W52"
          />

        </fieldset>

        <fieldset>
          <legend>Datos Personales</legend>

          <label for="number">Número</label>
          <input
            id="number"
            name="Numero"
            type="number"
            value="0" min="-10" max="10"
          />

          <label for="phone"> </label>
          <input
            id="phone"
            name="phone"
            type="tel"
            value="666-555-444"
            readonly
          />
          
          <label for="site-search">Búsqueda</label>
          <input
            id="site-search"
            type="search"
            name="site-search"
            placeholder="Search 🔍"
            readonly
          />

          <label for="color">Color favorito:</label>
          <input 
          id="color" 
          name="color" 
          type="color" />

         
      </fieldset>

       
        <button type="submit">Enviar datos</button>
      </form>
    </main>
    <footer>
      <p>Hack a Boss @2022</p>
    </footer>
  </body>
</html>
